Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] Probleem installatie GIMP 2.7  (gelezen 3689 keer)

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
[Opgelost] Probleem installatie GIMP 2.7
« Gepost op: 2010/05/05, 19:28:50 »
Als ik GIMP 2.7 wil instaleren (http://lazyubuntu.com/installing-gimp-27-development-snapshot-on-ubuntu-904-jaunty-jackalope.html)loopt hij vast bij het compilen van GEGL.
Output:
In file included from gegl-paint.c:23:
util/gegl-view.h:36: error: expected specifier-qualifier-list before ‘GtkDrawingArea’
util/gegl-view.h:42: error: expected specifier-qualifier-list before ‘GtkDrawingAreaClass’
In file included from gegl-paint.c:24:
util/gegl-view.c: In function ‘gegl_view_get_type’:
util/gegl-view.c:75: error: ‘GTK_TYPE_DRAWING_AREA’ undeclared (first use in this function)
util/gegl-view.c:75: error: (Each undeclared identifier is reported only once
util/gegl-view.c:75: error: for each function it appears in.)
util/gegl-view.c: At top level:
util/gegl-view.c:90: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:92: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:94: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:96: error: expected ‘)’ before ‘*’ token
util/gegl-view.c: In function ‘gegl_view_class_init’:
util/gegl-view.c:104: error: ‘GtkWidgetClass’ undeclared (first use in this function)
util/gegl-view.c:104: error: ‘widget_class’ undeclared (first use in this function)
util/gegl-view.c:104: warning: implicit declaration of function ‘GTK_WIDGET_CLASS’
util/gegl-view.c:110: error: ‘motion_notify_event’ undeclared (first use in this function)
util/gegl-view.c:111: error: ‘button_press_event’ undeclared (first use in this function)
util/gegl-view.c:112: error: ‘button_release_event’ undeclared (first use in this function)
util/gegl-view.c:113: error: ‘expose_event’ undeclared (first use in this function)
util/gegl-view.c: In function ‘gegl_view_init’:
util/gegl-view.c:177: warning: implicit declaration of function ‘gtk_widget_add_events’
util/gegl-view.c:177: warning: implicit declaration of function ‘GTK_WIDGET’
util/gegl-view.c:177: error: ‘GDK_EXPOSURE_MASK’ undeclared (first use in this function)
util/gegl-view.c:178: error: ‘GDK_BUTTON_PRESS_MASK’ undeclared (first use in this function)
util/gegl-view.c:179: error: ‘GDK_BUTTON_RELEASE_MASK’ undeclared (first use in this function)
util/gegl-view.c:180: error: ‘GDK_POINTER_MOTION_MASK’ undeclared (first use in this function)
util/gegl-view.c: In function ‘computed_event’:
util/gegl-view.c:212: warning: implicit declaration of function ‘gtk_widget_queue_draw_area’
util/gegl-view.c: In function ‘set_property’:
util/gegl-view.c:260: warning: implicit declaration of function ‘gtk_widget_queue_draw’
util/gegl-view.c: At top level:
util/gegl-view.c:322: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:362: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:370: error: expected ‘)’ before ‘*’ token
util/gegl-view.c:432: error: expected ‘)’ before ‘*’ token
util/gegl-view.c: In function ‘gegl_view_repaint’:
util/gegl-view.c:499: error: ‘GtkWidget’ undeclared (first use in this function)
util/gegl-view.c:499: error: ‘widget’ undeclared (first use in this function)
util/gegl-view.c:500: warning: ISO C90 forbids mixed declarations and code
gegl-paint.c: At top level:
gegl-paint.c:31: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
gegl-paint.c:32: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
gegl-paint.c:44: error: expected ‘)’ before ‘*’ token
gegl-paint.c:71: error: expected ‘)’ before ‘*’ token
gegl-paint.c:88: error: expected ‘)’ before ‘*’ token
gegl-paint.c: In function ‘main’:
gegl-paint.c:135: warning: implicit declaration of function ‘gtk_init’
gegl-paint.c:138: error: ‘window’ undeclared (first use in this function)
gegl-paint.c:138: warning: implicit declaration of function ‘gtk_window_new’
gegl-paint.c:138: error: ‘GTK_WINDOW_TOPLEVEL’ undeclared (first use in this function)
gegl-paint.c:139: warning: implicit declaration of function ‘gtk_window_set_title’
gegl-paint.c:139: warning: implicit declaration of function ‘GTK_WINDOW’
gegl-paint.c:163: error: ‘view’ undeclared (first use in this function)
gegl-paint.c:167: warning: implicit declaration of function ‘gtk_signal_connect’
gegl-paint.c:167: warning: implicit declaration of function ‘GTK_OBJECT’
gegl-paint.c:168: error: ‘GtkSignalFunc’ undeclared (first use in this function)
gegl-paint.c:168: error: expected ‘)’ before ‘paint_motion’
gegl-paint.c:170: error: expected ‘)’ before ‘paint_press’
gegl-paint.c:172: error: expected ‘)’ before ‘paint_release’
gegl-paint.c:174: error: ‘GDK_BUTTON_RELEASE_MASK’ undeclared (first use in this function)
gegl-paint.c:177: warning: implicit declaration of function ‘gtk_container_add’
gegl-paint.c:177: warning: implicit declaration of function ‘GTK_CONTAINER’
gegl-paint.c:178: warning: implicit declaration of function ‘gtk_widget_set_size_request’
gegl-paint.c:180: error: ‘gtk_main_quit’ undeclared (first use in this function)
gegl-paint.c:182: warning: implicit declaration of function ‘gtk_widget_show_all’
gegl-paint.c:185: warning: implicit declaration of function ‘gtk_main’
make[3]: *** [gegl-paint] Error 1
make[3]: Leaving directory `/home/boudewijn/Desktop/gimp-2.7.0/src/gegl-0.1.0/examples'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/boudewijn/Desktop/gimp-2.7.0/src/gegl-0.1.0/examples'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/boudewijn/Desktop/gimp-2.7.0/src/gegl-0.1.0'
make: *** [all] Error 2

Iemand een idee??

\Boudewijn
« Laatst bewerkt op: 2010/05/07, 19:10:14 door BoudewijnD »
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #1 Gepost op: 2010/05/05, 19:35:09 »
Gimp zit toch in de software center. En via synaptic of de terminal gaat het ook.
Is wel de 2.6.8 maar kom...

Offline Ronnie

  • Artworkteam
    • ronnie.vd.c
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #2 Gepost op: 2010/05/05, 20:11:28 »
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Documentatie Terminal

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #3 Gepost op: 2010/05/05, 20:47:18 »
Wat dachten Jullie om hier een topic open te maken op de daar voor voorziene forum gedeelte.
1 x Xuby 14.04.5 Lts 64 bits.1 x 16.04.5 Lts. 2 x Xuby 18.04.1 Lts 64 bits. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #4 Gepost op: 2010/05/05, 21:45:32 »
Sorry voor het verkeerder topic.

Maar ik wil de nieuwste versie omdat ik dan de single window modes van GIMP kan gebruiken.
Maar kan dat ook bij die oudere versie??

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #5 Gepost op: 2010/05/05, 21:54:37 »
Nope. Single window mode is er pas sinds 2.7

Maar, zoals Ronnie al aankaartte, je kunt hem via deze PPA installeren:

https://launchpad.net/~matthaeus123/+archive/mrw-gimp-svn

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #6 Gepost op: 2010/05/05, 22:03:19 »
Nope. Single window mode is er pas sinds 2.7

Dat dacht ik al. Maar het lukt nu miste een hoop packages maar die zijn nu geinstalleerd en as we speak ben ik hem aan het compilen.

Thnx,
\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline chris.

  • Lid
    • http://www.linuxmintusers.be
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #7 Gepost op: 2010/05/05, 22:11:52 »
maar dan staat het mbt ubuntu hier toch op zijn plaats?


Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #8 Gepost op: 2010/05/05, 22:32:24 »
GVD! Sorry nu krijg ik weer dit bericht!

Libgimp version mismatch!

The GIMP binary cannot run with a libgimp version
other than its own. This is GIMP 2.7.0, but the
libgimp version is 2.7.1.

Maybe you have GIMP versions in both /usr and /usr/local ?

Als pop-up als ik gimp via de terminal opstart.

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #9 Gepost op: 2010/05/05, 22:49:41 »
Waarom doe je het nu niet simpel en installeer je hem via de genoemde PPA? Geloof me, GIMP is geen makkelijk programma om te compileren, dus je kunt veel beter gewoon de genoemde PPA gebruiken..

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #10 Gepost op: 2010/05/06, 10:53:08 »
ja hoe doe je dat dan?

Ik heb die ppa toe gevoegd aan source?

En dan?

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline Ronnie

  • Artworkteam
    • ronnie.vd.c
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #11 Gepost op: 2010/05/06, 11:07:52 »
sudo apt-get update && sudo apt-get upgradeof
Systeem -> Beheer -> Updatebeheer -> Herladen
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Documentatie Terminal

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #12 Gepost op: 2010/05/06, 13:37:58 »
prima en dan heb ik een versie GIMP??

Zal het eens uitproberen.

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #13 Gepost op: 2010/05/06, 14:03:51 »
Bedankt voor de hulp 2.7 loopt nu als een zonnetje. Gewoon een update gedaan via Ubuntu Software Centre. Hij update ook je chrome volgens mij....

kan opslot.

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline verhelsttje

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #14 Gepost op: 2010/05/06, 18:10:28 »
even "opgelost" in je topic zetten
oftopic: werkt deze versie fijn veel nieuwigheden/verbeteringen die direct opvallen ofzo ?
zal het ook eens proberen

Offline Ronnie

  • Artworkteam
    • ronnie.vd.c
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #15 Gepost op: 2010/05/06, 18:22:56 »
even "opgelost" in je topic zetten
oftopic: werkt deze versie fijn veel nieuwigheden/verbeteringen die direct opvallen ofzo ?
zal het ook eens proberen

Vooral de "single window" optie vind ik een toegevoegde waarde. Ook de layers verdelen in groepen kan ik wel waarderen. Het is even wennen wanneer je een plaatje op wilt slaan als .jpg , .png etc. Dit gaat voortaan via Experteren(CTRL+SHIFT+E) i.p.v. Opslaan (CTRL+S)

En er zijn nog een aantal dingen meer.
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Documentatie Terminal

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #16 Gepost op: 2010/05/06, 21:10:18 »
Ho Chips,

Te vroeg blij geweest. Op mijn laptop deed hij het met de instructies hier boven als een zonnetje. Maar op mijn andere pc waar ik al een deel was met compilen doet hij het niet goed. Ik heb nu wel een nieuwe versie van Gimp maar in Ubuntu Software Center staat dat het versie 2.7.3 moet zijn. Maar als ik Gimp open is het maar versie 2.7.1 en hier zit ook niet het door mij graag gewilde one window optie.

Is er een manier (behalve opnieuw ubuntu installeren) om dit op te lossen door heel Gimp er af te gooien en alles er weer op nieuw op?

Alvast bedankt,

\BoudewijnD
Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline BoudewijnD

  • Lid
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #17 Gepost op: 2010/05/07, 19:09:53 »
Opgelost na een handmatige deinstall. via SPM en op nieuw instaleren via het software center loopt hij nu als een zonnetje!!
 XD XD

Desktop: AMD AThlon II X4 630 2.8 GHz, ATI Radeon HD 5450 1 Gb, 4 GB, 1.5 TB. Ubuntu 12.04 LTS
----------------------------------------------------------------------
Linux user number 519529
Registreer als Linux gebruiker op: http://counter.li.org/

Offline leendert

  • Lid
    • Dutchgimpers.nl
  • Steunpunt: Nee
Re: Probleem installatie GIMP 2.7
« Reactie #18 Gepost op: 2010/05/19, 10:07:54 »
En er zijn nog een aantal dingen meer.
Zie dit artikel voor alles wat al in de testversie zit: http://www.gimpusers.com/tutorials/gimp-2-8-features-preview-april-2010.html

(jammer van dat lelijke poep-thema op die screenshots =D )